=== debian/control ===
Source: java-imaging-utilities
Section: java
Priority: optional
Maintainer: Stuart Prescott <stuart+debian@nanonanonano.net>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: java-gcj-compat-dev,
                     ant,
                     texlive-base-bin,
                     texlive-latex-recommended,
                     texlive-latex-extra
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: libjiu-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libjiu-java-doc
Description: library to load, analyze, process and save pixel images
 JIU, the Java Imaging Utilities, is a library which offers functionality
 to load, analyze, process and save pixel images.
 .
 It can handle a variety of different image formats (PBM, PNG, GIF, TIFF,
 PSD etc) and perform a number of sophisticated transformations to the
 images including color adjustments, analysis and image filtering.

Package: libjiu-java-doc
Architecture: all
Section: doc
Depends: default-jdk-doc,
          libjiu-java,
          ${misc:Depends}
Description: API documentation for jiu java library for pixel images
 JIU, the Java Imaging Utilities, is a library which offers functionality
 to load, analyze, process and save pixel images.
 .
 This package contains the API documentation for the library.
 .
 See the package libjiu-java for further information.
