=== debian/rules ===
#!/usr/bin/make -f

# Create versioned jar file; strip off the debian source revision and package revision
VERSION=$(shell dpkg-parsechangelog | sed -n 's/Version: \([0-9.]*\).*/\1/p')

# If the user has not explicitly set JAVA_HOME, export sensible value
# to make sure that the correct compiler is used by ant.
JAVA_HOME ?= /usr/lib/jvm/java-gcj
export JAVA_HOME

%:
	dh $@

override_dh_auto_build:
	ant -DVERSION=$(VERSION) -Dbasedir=. -f debian/build.xml jar doc
	cd doc/manual                            ; \
	pdflatex java-imaging-utilities-manual   ; \
	pdflatex java-imaging-utilities-manual

override_dh_auto_clean:
	find . -name \*.jar -exec rm -f {} \;
	find . -name \*.class -exec rm -f {} \;
	rm -f doc/manual/*.aux doc/manual/*.log doc/manual/*.out doc/manual/*.pdf doc/manual/*.toc
	rm -rf api

override_dh_installdocs:
	dh_installdocs --link-doc libjiu-java

override_dh_link:
	dh_link -p libjiu-java usr/share/java/net.sourceforge.jiu-$(VERSION).jar usr/share/java/net.sourceforge.jiu.jar
