## java-imaging-utilities 0.14.3

=== debian/changelog ===
java-imaging-utilities (0.14.3-7) unstable; urgency=medium

  * Fix FTBFS with default Java 21 (Closes: #1053027).

 -- Stuart Prescott <stuart@debian.org>  Wed, 27 Sep 2023 23:29:00 +1000

java-imaging-utilities (0.14.3-6) unstable; urgency=medium

  * Update packaging with lintian-brush: minor updates for bookworm.

 -- Stuart Prescott <stuart@debian.org>  Sun, 29 Jan 2023 18:53:53 +1100

java-imaging-utilities (0.14.3-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Fix day-of-week for changelog entries 0.14.2-1.

  [ Stuart Prescott ]
  * Update Standards-Version to 4.5.1 (no changes required).
  * Update to dehelper-compat (= 13).
  * Mark autopkgtest as superficial.
  * Add Rules-Requires-Root: no.
  * Update watch file format to v4.

 -- Stuart Prescott <stuart@debian.org>  Mon, 21 Dec 2020 11:47:30 +1100

java-imaging-utilities (0.14.3-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Stuart Prescott ]
  * Use debhelper-compat (= 11).
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 26 Jan 2019 18:47:00 +1100

java-imaging-utilities (0.14.3-3) unstable; urgency=medium

  * Fix classes to build with OpenJDK rather than gcj (Closes: #894524).
  * Remove unneeded dpkg-parsechangelog calls from d/rules.
  * Update Standards-Version to 4.1.3 (no changes required).
  * Move to debhelper compat 11.
  * Add Vcs-* headers pointing to salsa.debian.org.

 -- Stuart Prescott <stuart@debian.org>  Fri, 06 Apr 2018 21:29:40 +1000

java-imaging-utilities (0.14.3-2) unstable; urgency=medium

  * Force latex to use SOURCE_DATE_EPOCH to make manual reproducible.

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Aug 2016 15:04:08 +1000

java-imaging-utilities (0.14.3-1) unstable; urgency=medium

  * New upstream version.
    - drop repackaging that is no longer required.
    - update copyright information.
    - add new homepage.
  * Update maintainer information.
  * Update Standards-Version to 3.9.8 (no changes required).
  * Set locale in build to make API documentation reproducible.
  * Switch to debhelper compat 9.
  * Use openjdk/default-jdk to build documentation but use gcj-compat/gcc to
    build source (weird but the only combination that currently works).
  * Stop having the documentation package depend on the library package.
  * Add simple DEP-8/autopkgtest test to package.

 -- Stuart Prescott <stuart@debian.org>  Sun, 07 Aug 2016 14:57:20 +1000
