=== debian/rules ===
#!/usr/bin/make -f

# Create versioned jar file; strip off the debian source revision and package revision
include /usr/share/dpkg/pkg-info.mk

VERSION=$(DEB_VERSION_UPSTREAM)

# Set the locale to make API documentation reproducible
LC_ALL = C.UTF-8
export LC_ALL

# Force pdflatex to use SOURCE_DATE_EPOCH for \today too
FORCE_SOURCE_DATE = 1
export FORCE_SOURCE_DATE

%:
	dh $@

override_dh_auto_build:
	ant -DVERSION=$(VERSION) -Dbasedir=. -f debian/build.xml jar doc
	cd doc/manual                            ; \
	pdflatex java-imaging-utilities-manual   ; \
	pdflatex java-imaging-utilities-manual

override_dh_auto_clean:
	find . -name \*.jar -delete
	find . -name \*.class -delete
	rm -f doc/manual/*.aux doc/manual/*.log doc/manual/*.out doc/manual/*.pdf doc/manual/*.toc
	rm -rf api

override_dh_link:
	dh_link -p libjiu-java usr/share/java/net.sourceforge.jiu-$(VERSION).jar usr/share/java/net.sourceforge.jiu.jar

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for cmd in '--version' '--system' '--help'; do \
	    java -jar net.sourceforge.jiu-$(VERSION).jar $$cmd ; \
	done
endif
