=== debian/tests/control ===
Tests: libjiu-java
Depends: libjiu-java,
    libjiu-java-doc,
    default-jre
Restrictions: superficial
